%define		pname proftpd
%define		mversion 1.3.6d
%define		pversion 1.3.6d
%define		bversion 35
%define		rpmrelease iworx
%define		rundir /var/lock/subsys
%define		user  proftpd
%define		iworxdir /home/interworx

%ifarch x86_64
%define		iworx_mysql_lib %{iworxdir}/mysql/usr/lib64/mysql
%else
%define		iworx_mysql_lib %{iworxdir}/mysql/usr/lib/mysql
%endif
%define		iworx_mysql_include %{iworxdir}/mysql/usr/include/mysql

%define		debug_package %{nil}

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%define		ccflags %{optflags} -I%{iworx_mysql_include} -I/usr/kerberos/include
%define		ldflags %{optflags} -L%{iworx_mysql_lib} -lpthread -ldl -lmysqlclient

############### RPM ################################

Summary:	ProFTPD -- Professional FTP Server.
Name:		%{pname}
Version:	%{pversion}
Release:	%{release}
License:	GPL

Group:		System Environment/Daemons
Source0:	%{name}-%{pversion}.tar.gz
URL:		http://www.proftpd.org/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Provides:	ftpserver

Requires:	grep
Requires:	chkconfig
Requires:	initscripts
Requires:	fileutils

BuildRequires:  iworx-db-55
Requires(pre):  iworx-db-55

Requires:       iworx-db-55

BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  ncurses-devel
BuildRequires:  libcap-devel

Epoch:		1

AutoReq:	0

Source1:	proftpd.conf
Source2:	mod_clamav-0.10.tar.gz

Patch1:		proftpd-1.3.0a-libcap-fix.patch
Patch3:		proftpd-1.3.6b-pkgconfig-prefix-fix.patch
#Patch4:	sftp-server-ident-bug-3739.patch
Patch5:		proftpd-1.3.5-bash4.patch
Patch6:     proftpd-1.3.6-sftpkey-rhe7x.patch
Patch7:     proftpd-1.3.5-initfix-rhe7x.patch
Patch8:     proftpd-1.3.6-xferlog-permissions.patch
Patch9:     proftpd-1.3.5e-CVE-2019-12815.patch

%description
ProFTPD is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration.  It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

%package devel
Summary:	Header files for proftpd
Group:		Development/Libraries

%description devel
Header files for proftpd

%prep

if [ -n %{buildroot} ] ; then rm -rf %{buildroot} ; fi

if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%setup -q -n %{name}-%{mversion}

tar xzpfv %SOURCE2
cp mod_clamav-0.10/mod_clamav.* contrib/
patch -p0 < mod_clamav-0.10/proftpd.patch

%patch3 -p1 -b .fix-pkgconfig

# %%patch4 -p0 -b .sftp-ident

%patch5 -p1

%patch6 -p1

%patch7 -p1

%patch8 -p1

# %%patch9 -p0

# Display compilation flags and OS with colors ;)

if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 3

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
if [ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] ; then rm -f %{_tmppath}/%{name}-%{pversion}-show_flags ; fi

# We have gcc written in a temp file
export CC="gcc %{ccflags}"

MODULES="mod_ratio:mod_readme:mod_sql:mod_sql_mysql:mod_tls:mod_sftp:mod_clamav"
MODULES="${MODULES}%{?_with_mod_tls::mod_tls}"
MODULES="${MODULES}%{?_with_mod_radius::mod_radius}"
MODULES="${MODULES}%{?_with_mod_ldap::mod_ldap}"
MODULES="${MODULES}%{?_with_mod_wrap::mod_wrap}"
MODULES="${MODULES}%{?_with_mod_sql_postgres::mod_sql_postgres}"
MODULES="${MODULES}%{?_with_mod_rewrite::mod_rewrite}"
MODULES="${MODULES}%{?_with_mod_ifsession::mod_ifsession}"

export LDFLAGS="%{ldflags}"

./configure                           \
	--prefix=%{_prefix}               \
	--bindir=%{_bindir}               \
	--mandir=%{_mandir}               \
	--localstatedir=%{_localstatedir} \
	--libdir=%{_libdir}               \
	--datadir=%{_datadir}             \
	--includedir=%{_includedir}       \
	--sysconfdir=%{_sysconfdir}       \
	--disable-shared                  \
	--with-includes=%{iworx_mysql_include} \
	--with-libraries=%{iworx_mysql_lib} \
	--with-pkgconfig=lib/pkgconfig \
	--with-modules=${MODULES}

%build

%{__make} %{?_smp_mflags}

%install

%{__make}                                            \
	prefix=%{buildroot}%{_prefix}                \
	bindir=%{buildroot}%{_bindir}                \
	sbindir=%{buildroot}%{_sbindir}              \
	mandir=%{buildroot}%{_mandir}                \
	libdir=%{buildroot}%{_libdir}                \
	localstatedir=%{buildroot}%{_localstatedir}  \
	datadir=%{buildroot}%{_datadir}              \
	includedir=%{buildroot}%{_includedir}        \
	sysconfdir=%{buildroot}%{_sysconfdir}        \
	rundir=%{buildroot}%{rundir}                 \
	pkgconfigdir=%{buildroot}%{_prefix}/lib/pkgconfig \
	INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn` \
	install

mkdir -p %{buildroot}/etc/pam.d
mkdir -p %{buildroot}/var/log/proftpd
mkdir -p %{buildroot}/var/proftpd
mkdir -p %{buildroot}/var/run/proftpd
mkdir -p %{buildroot}/var/lock/subsys/proftpd

install -m 644 contrib/dist/rpm/ftp.pamd %{buildroot}/etc/pam.d/ftp

mkdir -p %{buildroot}/etc/rc.d/init.d
sed -e '/FTPSHUT=/c\' \
	-e 'FTPSHUT=%{_prefix}/sbin/ftpshut' \
	contrib/dist/rpm/proftpd.init.d \
		> contrib/dist/rpm/proftpd.init.d.tmp
mv --force contrib/dist/rpm/proftpd.init.d.tmp contrib/dist/rpm/proftpd.init.d
install -m 755 contrib/dist/rpm/proftpd.init.d %{buildroot}/etc/rc.d/init.d/proftpd

mkdir -p %{buildroot}/etc/logrotate.d/
install -m 644 contrib/dist/rpm/proftpd.logrotate %{buildroot}/etc/logrotate.d/proftpd

# We don't want this dangling symlinks to make it into the RPM
rm -f contrib/README.mod_sql
mkdir -p %{buildroot}%{_docdir}

rm -f %{buildroot}%{_docdir}/*
#install -m 644 COPYING CREDITS ChangeLog NEWS %{buildroot}%{_docdir}

cp -f %{SOURCE1} %{buildroot}%{_sysconfdir}

%clean
if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi
if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%pre

# make the proftpd group
/bin/grep "^%{user}:" /etc/group >/dev/null || \
	groupadd -r %{user} 2>/dev/null

# make the proftpd user
/bin/grep "^%{user}:" /etc/passwd >/dev/null || \
	/usr/sbin/useradd -g %{user} -d /tmp -s /bin/true -c %{name} -r -m %{user} 2>/dev/null

%postun

if [ "$1" == "0" ]; then
	if [ -d %{rundir} ]; then
		rm -rf %{rundir}/*
	fi
	/sbin/chkconfig --del proftpd
fi

%post

if [ "$1" = "1" ]; then

    if [ -x /sbin/chkconfig ]; then
	    /sbin/chkconfig --add proftpd
	/sbin/chkconfig --level 345 proftpd on
    fi

fi

if [ -x /sbin/service ]; then
	mkdir /var/proftpd 2> /dev/null

	# update deprecated conf params
	sed -i 's|DisplayFirstChdir|DisplayChdir|g' /etc/proftpd.conf
	sed -i 's|SQLHomedirOnDemand|CreateHome|g'  /etc/proftpd.conf

	# make default .pem if it doesn't exist
	mkdir -p /etc/pki/tls/certs
	if [ ! -f /etc/pki/tls/certs/proftpd.pem ]; then
	   umask 077

	   answers() {
		   echo --
		   echo SomeState
		   echo SomeCity
		   echo SomeOrganization
		   echo SomeOrganizationalUnit
		   echo localhost.localdomain
		   echo root@localhost.localdomain
	    }

	    for target in "/etc/pki/tls/certs/proftpd.pem" ; do
		PEM1=`/bin/mktemp /tmp/openssl.XXXXXX`
		PEM2=`/bin/mktemp /tmp/openssl.XXXXXX`
		trap "rm -f $PEM1 $PEM2" SIGINT
		answers | /usr/bin/openssl req -newkey rsa:1024 -keyout $PEM1 -nodes -x509 -days 365 -out $PEM2 2> /dev/null
		cat $PEM1 >  ${target}
		echo ""   >> ${target}
		cat $PEM2 >> ${target}
		rm -f $PEM1 $PEM2
	    done

	fi

	if [ "$1" = "2" ]; then

	   # add tls block
	   grep TLSEngine /etc/proftpd.conf >/dev/null 2>&1 || echo "
<IfModule mod_tls.c>
  TLSEngine on
  TLSLog /var/log/proftpd/tls.log
  TLSProtocol SSLv23 # this selects the latest crypt version

  TLSOptions NoCertRequest # this is REALLY important for WinClients

  # Are clients required to use FTP over TLS when talking to this server?
  TLSRequired off

  # Server's certificate
  TLSRSACertificateFile /etc/pki/tls/certs/proftpd.pem
  TLSRSACertificateKeyFile /etc/pki/tls/certs/proftpd.pem

  # CA the server trusts
  # TLSCACertificateFile /usr/share/ssl/cert.pem

  # Authenticate clients that want to use FTP over TLS?
  TLSVerifyClient off
</IfModule>

" >> /etc/proftpd.conf

	   grep SFTPEngine /etc/proftpd.conf > /dev/null 2>&1 || echo "
<IfModule mod_sftp.c>
  <VirtualHost 0.0.0.0>
  SFTPEngine on
  SFTPLog /var/log/proftpd/sftp.log
  ServerIdent off

  # Configure the server to listen on the normal SSH2 port, port 22
  Port 24

  # Configure both the RSA and DSA host keys, using the same host key
  # files that OpenSSH uses.
  HostKeyGroup ssh_keys
  SFTPHostKey /etc/ssh/ssh_host_rsa_key
  #SFTPHostKey /etc/ssh/ssh_host_dsa_key

  # Configure the file used for comparing authorized public keys of users.
  SFTPAuthorizedUserKeys file:~/.sftp/authorized_keys

  # Enable compression
  SFTPCompression delayed

  # Allow the same number of authentication attempts as OpenSSH.
  #
  # It is recommended that you explicitly configure MaxLoginAttempts
  # for your SSH2/SFTP instance to be higher than the normal
  # MaxLoginAttempts value for FTP, as there are more ways to authenticate
  # using SSH2.
  MaxLoginAttempts 6
  </VirtualHost>
</IfModule>

" >> /etc/proftpd.conf

	   # fix log files if needed
	   sed -i 's|SFTPLog /var/log/sftp.log|SFTPLog /var/log/proftpd/sftp.log|g' /etc/proftpd.conf
	   sed -i 's|TLSLog /var/log/ftp-tlslog|TLSLog /var/log/proftpd/tls.log|g'  /etc/proftpd.conf
	   sed -i 's|ExtendedLog /var/log/xferlog|ExtendedLog /var/log/proftpd/xfer.log|g'  /etc/proftpd.conf

	   # fix log format if needed
	   sed -i 's|"%h %l %u %t \\"%r\\" %s %b"|"%h %l %u %t \\"%m %f\\" %s %b"|' /etc/proftpd.conf || :

	   # add SystemLog
	   grep SystemLog /etc/proftpd.conf >/dev/null 2>&1 ||
		sed -i 's|^<Global>$|SystemLog /var/log/proftpd/auth.log\n<Global>|' /etc/proftpd.conf || :

	   # add ServerIdent off for sftp block
	   grep -e '^  ServerIdent' /etc/proftpd.conf > /dev/null 2>&1 ||
		sed -i 's|^  SFTPLog /var/log/proftpd/sftp.log$|  SFTPLog /var/log/proftpd/sftp.log\n  ServerIdent off|' /etc/proftpd.conf || :

	   # add passive port defaults if it isn't already there
	   grep PassivePorts /etc/proftpd.conf >/dev/null 2>&1 || echo -e '\nPassivePorts 50000 51000' >> /etc/proftpd.conf

	   # grab port info, add passive port info if not already there, and restart apf if it's running
       eval `grep -e '^IG_TCP_CPORTS' /etc/apf/conf.apf 2> /dev/null`
       echo $IG_TCP_CPORTS | grep 50000_51000 > /dev/null 2>&1
       if [[ $? != 0 ]]; then
            IG_TCP_CPORTS="$IG_TCP_CPORTS,50000_51000"
            /home/interworx/bin/apf.pex --set-inbound-tcp="$IG_TCP_CPORTS" 2> /dev/null
       fi

	   /sbin/iptables --list -n | grep icmp-host-prohibited > /dev/null 2>&1 \
	   then /sbin/service apf restart > /dev/null 2>&1

	   proftpd -t > /dev/null 2>&1
	   if [ "$?" -eq "0" ]; then
		     /sbin/service proftpd condrestart > /dev/null 2>&1 || :
	   fi
	fi
fi

# Fix mod_auth_pam conf bug on 7.10.2 beta
bugc=$(grep mod_auth_pam.c /etc/proftpd.conf | wc -l)
if [[ $bugc -gt 30 ]] ; then
	sed -i.bak.sed 's/mod_auth_pam.c//g' /etc/proftpd.conf
fi

# fix SFTPHostKey to use PEM
%if 0%{?rhel} >= 8
    ssh-keygen -q -m PEM -f /etc/ssh/ssh_host_rsa_key.pem -N '' -t rsa -b 2048
    sed -i 's|SFTPHostKey /etc/ssh/ssh_host_rsa_key$|SFTPHostKey /etc/ssh/ssh_host_rsa_key.pem|g' /etc/proftpd.conf
%endif


# add mod_auth_pam.c to the correct place in AuthOrder in /etc/proftpd.conf
sed -i -e 's/AuthOrder.*mod_sql.c.*mod_auth_unix.c/AuthOrder         mod_sql.c mod_auth_pam.c mod_auth_unix.c/' /etc/proftpd.conf

# make sure perms are happy
/bin/chmod 0640 /etc/proftpd.conf || :

if [ "$1" = "1" ]; then
	# install
	/sbin/service proftpd start > /dev/null 2>&1 || :
fi

if [ "$1" == "2" ]; then
    # upgrade
	%if 0%{?rhel} >= 7
        systemctl daemon-reload
    %endif
    /sbin/service proftpd restart > /dev/null 2>&1 || :
fi

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: proftpd package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/proftpd
%attr(0751,root,root) %dir %{rundir}
%attr(0751,proftpd,proftpd) %dir /var/run/proftpd
%attr(0711,root,root) %dir /var/log/proftpd
%attr(0700,root,root) %{_sysconfdir}/rc.d/init.d/proftpd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pam.d/ftp
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/proftpd.conf
%attr(0644,root,root) %{_sysconfdir}/dhparams.pem
%attr(0644,root,root) %{_sysconfdir}/blacklist.dat
%attr(0644,root,root) /usr/lib/pkgconfig/proftpd.pc

%doc
# %%attr(0644,root,root) %{_datadir}/doc/COPYING
# %%attr(0644,root,root) %{_datadir}/doc/CREDITS
# %%attr(0644,root,root) %{_datadir}/doc/ChangeLog
# %%attr(0644,root,root) %{_datadir}/doc/NEWS
%attr(0644,root,root) %{_datadir}/man/man1/ftpcount.1*
%attr(0644,root,root) %{_datadir}/man/man1/ftptop.1*
%attr(0644,root,root) %{_datadir}/man/man1/ftpwho.1*
%attr(0644,root,root) %{_datadir}/man/man5/xferlog.5*
%attr(0644,root,root) %{_datadir}/man/man8/ftpshut.8*
%attr(0644,root,root) %{_datadir}/man/man8/proftpd.8*
%attr(0644,root,root) %{_datadir}/man/man8/ftpdctl.8*
%attr(0644,root,root) %{_datadir}/man/man8/ftpscrub.8*
%attr(0644,root,root) %{_datadir}/man/man1/ftpasswd.1.gz
%attr(0644,root,root) %{_datadir}/man/man1/ftpmail.1.gz
%attr(0644,root,root) %{_datadir}/man/man1/ftpquota.1.gz
%attr(0644,root,root) %{_datadir}/man/man5/proftpd.conf.5.gz

%files devel
%attr(0644,root,root) /usr/include/proftpd/ident.h
%attr(0644,root,root) /usr/include/proftpd/lastlog.h
%attr(0644,root,root) /usr/include/proftpd/utf8.h
%attr(0644,root,root) /usr/include/proftpd/memcache.h
%attr(0644,root,root) /usr/include/proftpd/mod_clamav.h
%attr(0644,root,root) /usr/include/proftpd/stash.h
%attr(0644,root,root) /usr/include/proftpd/auth.h
%attr(0644,root,root) /usr/include/proftpd/bindings.h
%attr(0644,root,root) /usr/include/proftpd/buildstamp.h
%attr(0644,root,root) /usr/include/proftpd/child.h
%attr(0644,root,root) /usr/include/proftpd/class.h
%attr(0644,root,root) /usr/include/proftpd/compat.h
%attr(0644,root,root) /usr/include/proftpd/conf.h
%attr(0644,root,root) /usr/include/proftpd/config.h
%attr(0644,root,root) /usr/include/proftpd/ctrls.h
%attr(0644,root,root) /usr/include/proftpd/data.h
%attr(0644,root,root) /usr/include/proftpd/default_paths.h
%attr(0644,root,root) /usr/include/proftpd/dirtree.h
%attr(0644,root,root) /usr/include/proftpd/display.h
%attr(0644,root,root) /usr/include/proftpd/env.h
%attr(0644,root,root) /usr/include/proftpd/event.h
%attr(0644,root,root) /usr/include/proftpd/feat.h
%attr(0644,root,root) /usr/include/proftpd/fsio.h
%attr(0644,root,root) /usr/include/proftpd/ftp.h
%attr(0644,root,root) /usr/include/proftpd/glibc-glob.h
%attr(0644,root,root) /usr/include/proftpd/help.h
%attr(0644,root,root) /usr/include/proftpd/inet.h
%attr(0644,root,root) /usr/include/proftpd/libsupp.h
%attr(0644,root,root) /usr/include/proftpd/log.h
%attr(0644,root,root) /usr/include/proftpd/mkhome.h
%attr(0644,root,root) /usr/include/proftpd/mod_ctrls.h
%attr(0644,root,root) /usr/include/proftpd/mod_sql.h
%attr(0644,root,root) /usr/include/proftpd/modules.h
%attr(0644,root,root) /usr/include/proftpd/netacl.h
%attr(0644,root,root) /usr/include/proftpd/netaddr.h
%attr(0644,root,root) /usr/include/proftpd/netio.h
%attr(0644,root,root) /usr/include/proftpd/options.h
%attr(0644,root,root) /usr/include/proftpd/parser.h
%attr(0644,root,root) /usr/include/proftpd/pidfile.h
%attr(0644,root,root) /usr/include/proftpd/pool.h
%attr(0644,root,root) /usr/include/proftpd/pr-syslog.h
%attr(0644,root,root) /usr/include/proftpd/privs.h
%attr(0644,root,root) /usr/include/proftpd/proctitle.h
%attr(0644,root,root) /usr/include/proftpd/proftpd.h
%attr(0644,root,root) /usr/include/proftpd/regexp.h
%attr(0644,root,root) /usr/include/proftpd/response.h
%attr(0644,root,root) /usr/include/proftpd/scoreboard.h
%attr(0644,root,root) /usr/include/proftpd/sets.h
%attr(0644,root,root) /usr/include/proftpd/support.h
%attr(0644,root,root) /usr/include/proftpd/table.h
%attr(0644,root,root) /usr/include/proftpd/timers.h
%attr(0644,root,root) /usr/include/proftpd/trace.h
%attr(0644,root,root) /usr/include/proftpd/var.h
%attr(0644,root,root) /usr/include/proftpd/version.h
%attr(0644,root,root) /usr/include/proftpd/xferlog.h
%attr(0644,root,root) /usr/include/proftpd/encode.h
%attr(0644,root,root) /usr/include/proftpd/expr.h
%attr(0644,root,root) /usr/include/proftpd/str.h
%attr(0644,root,root) /usr/include/proftpd/throttle.h
%attr(0644,root,root) /usr/include/proftpd/cmd.h
%attr(0644,root,root) /usr/include/proftpd/filter.h
%attr(0644,root,root) /usr/include/proftpd/mod_tls.h
%attr(0644,root,root) /usr/include/proftpd/session.h
%attr(0644,root,root) /usr/include/proftpd/mod_sftp.h
%attr(0644,root,root) /usr/include/proftpd/rlimit.h
%attr(0644,root,root) /usr/include/proftpd/ascii.h
%attr(0644,root,root) /usr/include/proftpd/ccan-json.h
%attr(0644,root,root) /usr/include/proftpd/configdb.h
%attr(0644,root,root) /usr/include/proftpd/hanson-tpl.h
%attr(0644,root,root) /usr/include/proftpd/json.h
%attr(0644,root,root) /usr/include/proftpd/logfmt.h
%attr(0644,root,root) /usr/include/proftpd/redis.h
%attr(0644,root,root) /usr/include/proftpd/signals.h

%changelog
* Tue Dec 21 2021 Joseph Purkis <jpurkis@interworx.com>
- Remove ancient dynamic gcc resolution (always resulted in just 'gcc')
- Cleaned up old Distros
* Tue Sep 14 2021 Joseph Purkis <jpurkis@interworx.com>
- Added Almalinux rhel8x build
* Sat Jun 27 2020 Paul Oehler <poehler@interworx.com>
- Upgrade to 1.3.6d
* Thu Mar 26 2020 Paul Oehler <poehler@interworx.com>
- Upgrade to 1.3.6c
* Thu Jan 02 2020 Paul Oehler <poehler@interworx.com>
- Upgrade to 1.3.6b
* Wed Sep 18 2019 Paul Oehler <poehler@interworx.com>
- Added patch to mitigate CVE-2019-12815
* Wed Nov 29 2017 Paul Oehler <poehler@interworx.com>
 - Upgrade to 1.3.5e
* Wed Apr 05 2017 Nathan Roth <nroth@interworx.com>
- Upgrade to 1.3.5d
* Tue Nov 29 2016 Paul Oehler <poehler@interworx.com>
- Tweaked post script to maintain correct permissions on proftpd.conf
* Mon Nov 23 2015 Paul Oehler <poehler@interworx.com>
- Updated sftp HostKeyGroup patch to work properly.
* Thu Aug 06 2015 Matt Parmelee <mparmelee@interworx.com>
- Pid and ssh fixes for RHEL 7.x
* Tue Jul 14 2015 Tim College <tcollege@interworx.com>
- Changed default permissions for the xferlog to 0640
* Wed Oct 22 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for iworx-db 5.5.
* Thu Sep 25 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL 7.x
* Fri Sep 19 2014 Paul Oehler <poehler@interworx.com>
- Updated package to build against new iworx-percona instead of old mysql-iworx
* Tue Aug 19 2014 Paul Oehler <poehler@interworx.com>
- Upgraded to 1.3.5
* Tue Aug 07 2012 Matthew Parmelee <mparmelee@interworx.com>
- Added service start for first run.
* Thu May 10 2012 Paul Oehler <poehler@interworx.com>
- Added ServerIdent off in sftp config section.
* Wed Feb 22 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 1.3.4a
- Added mod_clamav
- Removed old unneeded patches
- Added /var/log/proftpd/system.log
- Moved other proftpd logs to /var/log/proftpd/*.log
* Tue Nov 15 2011 Matthew Parmelee <mparmelee@interworx.com>
- Added support for DST timestamps.
* Fri Nov 11 2011 Matthew Parmelee <mparmelee@interworx.com>
- Added sftp to logrotate.
* Mon Oct 10 2011 Paul Oehler <poehler@interworx.com>
- Upgraded to 1.3.3f
- Added tls logrotate bit.
* Mon Aug 29 2011 Paul Oehler <poehler@interworx.com>
- Added patch to init.d script that standardizes exit values and adds condrestart
* Wed Jun 15 2011 Paul Oehler <poehler@interworx.com>
- Upgraded to 1.3.3e
- Added mod_sftp support
* Tue Nov 02 2010 Jon Daniel <jdaniel@interworx.com>
- Added ncurses-devel as a build req
- Fixed AuthOrder awk line
* Fri Oct 15 2010 Paul Oehler <poehler@interworx.com>
- Added mod_auth_pam.c to AuthOrder
- Added pam-devel as build requirement
* Thu Oct 07 2010 Paul Oehler <poehler@interworx.com>
- Removed extraneous output on update/install
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Mon Sep 27 2010 Paul Oehler <poehler@interworx.com>
- Added 1.3.3b version
* Wed Aug 11 2010 Paul Oehler <poehler@interworx.com>
- Added 1.3.3a version
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Wed Nov 12 2008 Paul Oehler <poehler@interworx.com>
- Updated to 1.3.2rc2
* Fri Jun 20 2008 Paul Oehler <poehler@interworx.com>
- Updated to 1.3.1
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added proftpd-1.3.0a-fix-umode_t.patch patch, required for building on fc8
- Added Fedora 8 support
* Sat Sep 18 2004 Chris Wells <clwells@nexcess.net>
- Added 'AuthOrder' to the default proftpd.conf
* Sat Sep 4 2004 Chris Wells <clwells@nexcess.net>
- updated for 1.2.10
* Wed Aug 27 2003 Chris Wells <clwells@nexcess.net>
- initial release
